<?php

namespace OrganizationsManagement\Factory;

use Teknisa\Model\Teknisa\Entities\OmOqaItem as OmOqaItemEntity;
use Teknisa\Model\Teknisa\Entities\OmOqaItemAssunto as OmOqaItemAssuntoEntity;

class OqueHaDeNovo {
    public function createItem($dsassunto, $produtoId, $paiId, $filename, $filetype, $filesize, $filelabel) {
        $entity = new OmOqaItemEntity();
        $entity->setDsassunto($dsassunto);
        $entity->setPaiId($paiId);
        $entity->setProdutoId($produtoId);
        $entity->setFilename($filename);
        $entity->setFiletype($filetype);
        $entity->setFilesize($filesize);
        $entity->setFilelabel($filelabel);
        return $entity;
    }

    public function createItemAssunto($itemId, $assuntoId) {
        $entity = new OmOqaItemAssuntoEntity();
        $entity->setItemId($itemId);
        $entity->setAssuntoId($assuntoId);
        return $entity;
    }

    public function updateItem(OmOqaItemEntity $OmOqaItemRepository, $id, $dsassunto, $produtoId, $paiId, $filename, $filetype, $filesize, $filelabel) {
        $OmOqaItemRepository->setId($id);
        $OmOqaItemRepository->setDsassunto($dsassunto);
        $OmOqaItemRepository->setPaiId($paiId);
        $OmOqaItemRepository->setProdutoId($produtoId);
        $OmOqaItemRepository->setFilename($filename);
        $OmOqaItemRepository->setFiletype($filetype);
        $OmOqaItemRepository->setFilesize($filesize);
        $OmOqaItemRepository->setFilelabel($filelabel);
        return $OmOqaItemRepository;
    }

    public function updateItemAssunto(OmOqaItemAssuntoEntity $OmOqaItemAssuntoRepository, $id, $itemId, $assuntoId) {
        $OmOqaItemAssuntoRepository->setId($id);
        $OmOqaItemAssuntoRepository->setItemId($itemId);
        $OmOqaItemAssuntoRepository->setAssuntoId($assuntoId);
        return $OmOqaItemAssuntoRepository;
    }
}