<?php


namespace OrganizationsManagement\Repository;


use Doctrine\ORM\EntityManager;
use Teknisa\Model\Traits\TQuery;

class CadastroAssunto
{
    use TQuery;
    /**
     * @var EntityManager
     */
    private $entityManager;

    /**
     * Classification constructor.
     * @param EntityManager $entityManager
     */
    public function __construct(EntityManager $entityManager)
    {
        $this->entityManager = $entityManager;
    }

    public function findTreeGridSubject($fetchOnDemand, $fetchOnDemandPrimeiraLinha)
    {
        $query = <<<SQL
            SELECT ID, PAI_ID, DSASSUNTO, IDATIVO
            FROM OM_OQA_ASSUNTO
            WHERE IDATIVO = 'S'
            $fetchOnDemand
            $fetchOnDemandPrimeiraLinha

SQL;
        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $query);
    }
}
